# 이 코드 템플릿은 SDT Cloud 환경에서 mqtt 메세지를 발행하는 코드입니다.

# 패키지 설치
- 코드는 sdtcloudnodeqmqtt 패키지를 사용합니다. 아래 명령어로 패키지를 다운로드 해야합니다.
```bash
$ pip install sdtcloudnodeqmqtt
```

# 코드 작성
- 코드는 runAction 함수에서 동작하고자 하는 기능을 작성합니다.
- msg 변수는 발행될 메세지 입니다. 
- sdtcloudpubsub의 pubMessage 함수는 발행할 메세지 내용인 dictionary 타입 변수를 입력 받아 처리합니다.

# 메세지 발행
- 다음 변수로 메세지를 발행하는 코드를 작성하면... 
```bash
msg = { 
    "message": "Hello World"
}
```
- 실제로 발행되는 메세지은 다음과 같습니다.
```bash
msg = { 
    "data": {
        "message": "Hello World"
    },
    "timestamp": 12312311...
}

```
